[wingide-users] Bug with "System GTK"

Douglas Soares de Andrade dsa at unilestemg.br
Wed Aug 17 08:24:27 EDT 2005


Hi !

Im with this version of gtk here on my arch linux system and wing works fairly 
well.

But i had the trouble you has when i tried to update the gtk, glibc and pango 
versions to the newest ones (The unstable series).

Are you using Debian unstable ?

See ya

Em Qua 17 Ago 2005 14:09, Wingware Support escreveu:
> On Wed, 17 Aug 2005, [iso-8859-15] Frédéric Mantegazza wrote:
> > I'm using WingIDE under Linux (Debian sarge), and I have some troubles
> > when using "System GTK" (see picture attached) WingIDE freezes with CPU
> > at 100%.
> >
> > I'm using libgtk 2.6.8-1...
> >
> > All works fine without "System GTK". The problem occurs with WingIDE
> > 2.0.2 and 2.0.3.
>
> Unfortunately, some versions of GTK are not binary compatible so it's
> impossible for us to always make system gtk work.  Looking at your
> screenshot, I believe your version of gtk may be paired with a version
> of pango that breaks any application based on Scintilla, although
> there could be other problems as well.  You will need to use the
> private GTK that comes with Wing.
>
> We're working on updating the version of GTK that Wing is built with
> and that may solve your particular problem.  However, we have to be
> careful not to break widely-used systems.  We have both the problem of
> breaking system GTK on systems that work now, and the more serious
> problem that newer GTKs crash on older Linuxes, which would mean Wing
> built on newer GTK could not run at all on some older but widely used
> Linux dists.
>
> Stephan Deibel
>
> --
> Wingware
> Wing IDE for Python
> Advancing Software Development
>
> www.wingware.com

-- 
Douglas Soares de Andrade
dsa at unilestemg.br
UnilesteMG - www.unilestemg.br
ICQ, MSN = 76277921, douglas at tuxfamily.org


More information about the wingide-users mailing list